Subject: Shell avoidance in make-3.79.1-3
From: Earl Chew <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jun 2001 15:04:59 -0700

Can anyone offer some advice /bin/sh avoidance with make?

I'm trying to figure out how to trigger make-3.79.1-3 to avoid
invoking /bin/sh unnecessarily.

I construct a makefile:

	all: ; sleep 15

Then I try:

bash-2.05$ echo $SHELL
/bin/sh
bash-2.05$ ps
      PID    PPID    PGID     WINPID TTY  UID    STIME COMMAND
      317       1     317        317  -1  500 14:59:36 /bin/bash
      261     317     261        458  -1  500 14:59:36 /usr/bin/ps
bash-2.05$ make -f ../foo.mk
ps
      PID    PPID    PGID     WINPID TTY  UID    STIME COMMAND
      317       1     317        317  -1  500 14:59:36 /bin/bash
      461     317     461        549  -1  500 14:59:41 /usr/bin/make
      591     461     461        224  -1  500 14:59:41 /bin/sh
      662     591     461        585  -1  500 14:59:41 /usr/bin/ps

I then try with SHELL unset:

bash-2.05$ unset SHELL
bash-2.05$ echo $SHELL

bash-2.05$ make -f ../foo.mk
ps
      PID    PPID    PGID     WINPID TTY  UID    STIME COMMAND
      317       1     317        317  -1  500 14:59:36 /bin/bash
      465     317     465        563  -1  500 15:01:41 /usr/bin/make
      666     465     465        620  -1  500 15:01:41 /bin/sh
      699     666     465        710  -1  500 15:01:41 /usr/bin/ps

Earl
-- 
> ---------------------------------------------------------------------+
> Earl Chew                              http://www.agilent.com        |
> Agilent Technologies                   mailto:[email-masked]  |
> Advanced Networks Division             Tel:   +1 604 454 3411        |
> 2500-4710 Kingsway                     Fax:   +1 604 454 3401        |
> Burnaby BC V5H 4M2 Canada                                            |
> ---------------------------------------------------------------------+

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple